decompile(6)

NAME
decompile - Engine script decompiler

SYNOPSIS
decompile -h
decompile -l
decompile -h -e <engine>
decompile [-e <engine>] [-d <file>] [-g <file>] [-D] [-G] [-u] [-v <variant>] [-s] <file>

DESCRIPTION
decompile decompiles scripts for a number of game engines.

decompile -h or decompile --help displays a short help summary.

decompile -l or decompile --list lists the supported game engines.

decompile -h -e or decompile --help --engine <engine> lists the variants available for the given engine.

Other forms of the command decompile the given file, using the game engine specified using the -e or --engine option:

groovie
    Groovie, as used by The 7th Guest and The 11th Hour;

kyra2
    Legend of Kyrandia: Hand of Fate;

scummv6
    SCUMM v6.

Variants are specified using the -v or --variant option:

t7g The 7th Guest (for the groovie engine);

v2  version 2, from The 11th Hour onwards (for the groovie engine);

kyra2
    Legend of Kyrandia: Hand of Fate, floppy-disk version;

kyra2-talkie
    Legend of Kyrandia: Hand of Fate, CD-ROM (talkie) version.

OPTIONS

-d, --dump-disassembly <file>
    dumps the disassembly to the given file (standard out if file is omitted).

-g, --dump-graph <file>
    dumps the control flow graph, in dot(1) format, to the given file (standard out if file is omitted).

-D, --only-disassembly
    stops after disassembly; implies -d.

-G, --only-graph
    stops after generating the control flow graph; implies -g.

-u, --show-unreachable
    show the address and contents of unreachable groups in the script.

-s, --no-stack-effect
    leaves out the stack effect when printing raw instructions.

Note that -d or -g without arguments must not be specified immediately before the input file.

AUTHORS
This manual page was adapted from the program usage information by Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but may be used by others). It was last modified for scummvm-tools version 2.0.